#include <config.h>
module print_status_class
!
!= \Print status class
!
! \Print character string on all nodes in node ordering, node id is supplied for key.
!
!== Version
!
! $Id: print_status_class.F90,v 1.7 2011/06/13 14:22:27 ishikawa Exp $
!
  implicit none
  private
  public :: print_status

contains

subroutine print_status(char)
!
! \Print out string on Display in node rank order.
!
  use comlib
  use lattice_class, only : nodeid, NPU
  implicit none
  character(len=*), intent(in) :: char
  integer :: ipe
  character(len=LEN(char)) :: charbuff(0:NPU-1)

  charbuff(:)=''
  charbuff(nodeid)=TRIM(char)

  if (NPU > 1) then
#ifndef _singlePU
    do ipe=0,NPU-1
      call comlib_bcast(charbuff(ipe),ipe)  ! gather char string
    enddo
    do ipe=0,NPU-1
      if (nodeid == 0) write(*,'(I9," : ",A)')ipe,TRIM(charbuff(ipe))
    enddo
    call comlib_barrier
#endif
  else
    if (nodeid == 0) write(*,'(I9," : ",A)')nodeid,TRIM(charbuff(nodeid))
  endif

  return
end subroutine

end module
